!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __vlib_include )

   !DEC$ DEFINE __vlib_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      SUBROUTINE vcos(a,ia,c,ic,n)
         !DEC$ ATTRIBUTES DEFAULT :: vcos
         REAL(KIND=8) :: a(*)
         INTEGER(KIND=4) :: ia
         REAL(KIND=8) :: c(*)
         INTEGER(KIND=4) :: ic
         INTEGER(KIND=4) :: n
      END SUBROUTINE vcos
   END INTERFACE

   INTERFACE
      SUBROUTINE vcos_sin(a,ia,c,ic,d,id,n)
         !DEC$ ATTRIBUTES DEFAULT :: vcos_sin
         REAL(KIND=8) :: a(*)
         INTEGER(KIND=4) :: ia
         REAL(KIND=8) :: c(*)
         INTEGER(KIND=4) :: ic
         REAL(KIND=8) :: d(*)
         INTEGER(KIND=4) :: id
         INTEGER(KIND=4) :: n
      END SUBROUTINE vcos_sin
   END INTERFACE

   INTERFACE
      SUBROUTINE vexp(a,ia,c,ic,n)
         !DEC$ ATTRIBUTES DEFAULT :: vexp
         REAL(KIND=8) :: a(*)
         INTEGER(KIND=4) :: ia
         REAL(KIND=8) :: c(*)
         INTEGER(KIND=4) :: ic
         INTEGER(KIND=4) :: n
      END SUBROUTINE vexp
   END INTERFACE

   INTERFACE
      SUBROUTINE vlog(a,ia,c,ic,n)
         !DEC$ ATTRIBUTES DEFAULT :: vlog
         REAL(KIND=8) :: a(*)
         INTEGER(KIND=4) :: ia
         REAL(KIND=8) :: c(*)
         INTEGER(KIND=4) :: ic
         INTEGER(KIND=4) :: n
      END SUBROUTINE vlog
   END INTERFACE

   INTERFACE
      SUBROUTINE vrecip(a,ia,c,ic,n)
         !DEC$ ATTRIBUTES DEFAULT :: vrecip
         REAL(KIND=8) :: a(*)
         INTEGER(KIND=4) :: ia
         REAL(KIND=8) :: c(*)
         INTEGER(KIND=4) :: ic
         INTEGER(KIND=4) :: n
      END SUBROUTINE vrecip
   END INTERFACE

   INTERFACE
      SUBROUTINE vsin(a,ia,c,ic,n)
         !DEC$ ATTRIBUTES DEFAULT :: vsin
         REAL(KIND=8) :: a(*)
         INTEGER(KIND=4) :: ia
         REAL(KIND=8) :: c(*)
         INTEGER(KIND=4) :: ic
         INTEGER(KIND=4) :: n
      END SUBROUTINE vsin
   END INTERFACE

   INTERFACE
      SUBROUTINE vsqrt(a,ia,c,ic,n)
         !DEC$ ATTRIBUTES DEFAULT :: vsqrt
         REAL(KIND=8) :: a(*)
         INTEGER(KIND=4) :: ia
         REAL(KIND=8) :: c(*)
         INTEGER(KIND=4) :: ic
         INTEGER(KIND=4) :: n
      END SUBROUTINE vsqrt
   END INTERFACE

!DEC$ ENDIF
